### Hierarchy

- Emitter
  - PdfLink

### Implements

- IEmitter

## Index

### Constructors

- constructor

### Properties

- _pagesRefCache
- baseUrl
- listeners
- onListeners
- pdfDocument
- pdfHistory
- pdfViewer

### Accessors

- ON_GOTO_PAGE
- page
- pagesCount

### Methods

- cachePageRef
- emit
- getAnchorUrl
- getDestinationHash
- navigateTo
- off
- on
- register
- removeEvent
- removeEvents
- setDocument
- unRegister

## Constructors

### constructor

- new PdfLink(): PdfLink

- Overrides Emitter.constructor

  - Defined in Pdf.ts:670

  #### Returns PdfLink

## Properties

### Private _pagesRefCache

_pagesRefCache: any = undefined

- Defined in Pdf.ts:670

### baseUrl

baseUrl: string

- Defined in Pdf.ts:665

### listeners

listeners: IListeners = []

Inherited from Emitter.listeners

- Defined in Emitter.ts:16

### onListeners

onListeners: any

Inherited from Emitter.onListeners

- Defined in Emitter.ts:17

### pdfDocument

pdfDocument: any

- Defined in Pdf.ts:666

### pdfHistory

pdfHistory: any

- Defined in Pdf.ts:668

### pdfViewer

pdfViewer: any

- Defined in Pdf.ts:667

## Accessors

### ON_GOTO_PAGE

- get ON_GOTO_PAGE(): string

- - Defined in Pdf.ts:663

  #### Returns string

### page

- get page(): number
- set page(value: number): void

- - Defined in Pdf.ts:692

  #### Returns number

- - Defined in Pdf.ts:698

  #### Parameters

  - ##### value: number

  #### Returns void

### pagesCount

- get pagesCount(): number

- - Defined in Pdf.ts:685

  #### Returns number

## Methods

### cachePageRef

- cachePageRef(pageNum: any, pageRef: any): void

- - Defined in Pdf.ts:803

  #### Parameters

  - ##### pageNum: any

    page number.

  - ##### pageRef: any

    reference to the page.

  #### Returns void

### emit

- emit(name: string, args?: any): void

- Inherited from Emitter.emit

  - Defined in Emitter.ts:51

  #### Parameters

  - ##### name: string

  - ##### Optional args: any

  #### Returns void

### getAnchorUrl

- getAnchorUrl(anchor: string): string

- - Defined in Pdf.ts:785

  Prefix the full url on anchor links to make sure that links are resolved relative to the current URL instead of the one defined in .

  #### Parameters

  - ##### anchor: string

    The anchor hash, including the #.

  #### Returns string

  The hyperlink to the PDF object.

### getDestinationHash

- getDestinationHash(dest: any): string

- - Defined in Pdf.ts:749

  #### Parameters

  - ##### dest: any

    The PDF destination object.

  #### Returns string

  The hyperlink to the PDF object.

### navigateTo

- navigateTo(dest: any): void

- - Defined in Pdf.ts:704

  #### Parameters

  - ##### dest: any

    The PDF destination object.

  #### Returns void

### off

- off(name: string, callback: any): void

- Inherited from Emitter.off

  - Defined in Emitter.ts:30

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### on

- on(name: string, callback: any): void

- Inherited from Emitter.on

  - Defined in Emitter.ts:23

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### register

- register(callback: any): void

- Inherited from Emitter.register

  - Defined in Emitter.ts:40

  #### Parameters

  - ##### callback: any

  #### Returns void

### removeEvent

- removeEvent(): void

- Implementation of IEmitter.removeEvent

  Inherited from Emitter.removeEvent

  - Defined in Emitter.ts:65

  #### Returns void

### removeEvents

- removeEvents(): void

- Implementation of IEmitter.removeEvents

  Inherited from Emitter.removeEvents

  - Defined in Emitter.ts:69

  #### Returns void

### setDocument

- setDocument(pdfDocument: any, baseUrl: string): void

- - Defined in Pdf.ts:676

  #### Parameters

  - ##### pdfDocument: any

  - ##### baseUrl: string

  #### Returns void

### unRegister

- unRegister(callback: any): void

- Inherited from Emitter.unRegister

  - Defined in Emitter.ts:44

  #### Parameters

  - ##### callback: any

  #### Returns void

Generated using TypeDoc